SHOWKEY(1)

NOM
showkey – Examen des codes envoyés par le clavier

SYNOPSIS
showkey [-h|--help] [-a|--ascii] [-s|--scancodes] [-k|--keycodes] [-V|--version]

DESCRIPTION

showkey affiche sur la sortie standard les scancodes, le keycode ou le code « ascii » de chaque touche pressée. Dans les deux premiers modes, le programme s’exécute pendant 10 secondes après le dernier évènement d’appui ou de relâche de touche ou la réception d’un signal adapté, tel SIGTERM, d’un autre processus. Dans le mode « ascii », le programme se termine quand l’utilisateur saisit ^D.

Dans le mode de copie du scancode, showkey affiche au format hexadécimal chaque octet reçu du clavier sur la sortie standard. Une nouvelle ligne est affichée après un intervalle d’environ 0,1 seconde entre la réception d’octets ou quand le tampon interne de réception est plein. Ce mode peut être utilisé pour déterminer grossièrement quelle séquence d’octets le clavier produit lors d’un appui de touche. Le mode copie du scancode est principalement destiné au débogage du pilote de clavier ou d’autres interfaces de bas niveau. À ce titre, il ne devrait pas être d’une quelconque utilité pour les utilisateurs communs. Cependant, certains claviers modernes ont des touches ou des boutons qui produisent des scancodes auxquels le noyau n’associe pas de keycode, et, après détermination de ceux-ci, l’utilisateur pourra assigner des keycodes avec setkeycodes(8).

Dans le mode par défaut de copie de keycode, showkey affiche sur la sortie standard le numéro de keycode ou chaque touche pressée ou relâchée. Le type d’évènement, appui ou relâchement, est aussi rapporté. Les keycodes sont des numéros assignés par le noyau à chaque touche physique. Chaque touche a toujours un seul keycode assigné même si le clavier produit un ou plusieurs scancodes lors d’un appui. En utilisant showkey dans ce mode, il est possible de déterminer quels numéros utiliser dans des fichiers personnels de mappage de touches.

Dans le mode de copie « ascii », showkey affiche sur la sortie standard la ou les valeurs décimales, octales ou hexadécimales de la touche pressée selon le mappage de touches en cours.

OPTIONS

-h, --help
    showkey affiche sur la sortie standard d’erreur son numéro de version, une option de compilation et un court message d’utilisation, puis quitte.

-s, --scancodes
    Démarrer showkey dans le mode de copie de scancode.

-k, --keycodes
    Démarrer showkey dans le mode de copie de keycode. C’est le comportement par défaut quand aucune option de ligne de commande n’est présente.

-a, --ascii
    Démarrer showkey dans le mode de copie « ascii ».

-V, --version
    showkey affiche le numéro de version et quitte.

NOYAUX 2.6
Dans les noyaux 2.6, les keycodes sont dans l’intervalle 1-255, au lieu de 1-127. Les keycodes plus grands que 127 sont renvoyés sous forme de trois octets dont les 7 bits d’ordre le plus bas sont : zéro, bits 13-7 et 6-0 du keycode. Les bits d’ordre le plus élevé sont : 0/1 pour appui/relâchement, 1, 1.

Dans les noyaux 2.6, le mode brut (raw), ou mode scancode, ne l’est pas vraiment. Les scancodes sont d’abord traduits en keycodes, et quand ce sont les scancodes qui sont souhaités, les keycodes sont convertis à nouveau en scancodes. Diverses transformations sont impliquées et il n’est pas du tout garanti que le résultat final corresponde à ce que le clavier matériel a envoyé. Aussi, pour connaitre les scancodes envoyés par diverses touches, il vaut mieux amorcer avec un noyau 2.4. Depuis la version 2.6.9, une option d’amorçage existe, atkbd.softraw=0, qui indique au noyau 2.6 de renvoyer les scancodes réels.

AUTEURS
Andries Brouwer <aeb@cwi.nl>

VOIR AUSSI
loadkeys(1), dumpkeys(1), keymaps(5), setkeycodes(8)

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.